Bug 112164 - FILEOPEN: Crash with Application Error when opening particular file with table and mismatched xml tag
Summary: FILEOPEN: Crash with Application Error when opening particular file with tabl...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
5.3.5.2 release
Hardware: All All
: medium normal
Assignee: Michael Stahl
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.2 target:5.3.7
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2017-09-01 17:51 UTC by Dinh Le
Modified: 2017-09-07 09:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
crashes with application error (2.48 KB, application/vnd.oasis.opendocument.text)
2017-09-01 17:52 UTC, Dinh Le
Details
backtrace (108.67 KB, text/plain)
2017-09-01 17:53 UTC, Dinh Le
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dinh Le 2017-09-01 17:51:51 UTC
Description:
Opening the file leads to a crash with  Application Error

Tested it on 
version 5.3.5.2 and 
daily build 
master~2017-08-31_23.06.56_LibreOfficeDev_6.0.0.0.alpha0_Linux_x86-64_deb

OS Ubuntu 16.04.2 LTS

Steps to Reproduce:
1. Just open the file

Actual Results:  
Crashes with Application Error

Expected Results:
getting parsing error


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.101 Safari/537.36
Comment 1 Dinh Le 2017-09-01 17:52:17 UTC
Created attachment 135937 [details]
crashes with application error
Comment 2 Dinh Le 2017-09-01 17:53:01 UTC
Created attachment 135938 [details]
backtrace
Comment 3 Xisco Faulí 2017-09-01 18:13:20 UTC
Confirmed in

Version: 6.0.0.0.alpha0+
Build ID: 04d70c0999c716f5465631eca50945915ec607c4
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 4 Michael Stahl 2017-09-05 20:36:39 UTC
fixed on master
Comment 5 Commit Notification 2017-09-05 20:37:12 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e530a7ddb1c9423487ce936e6b23b8e36449d555

tdf#112164 sax: handle errors on last call to XML_Parse()

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-09-05 20:37:19 UTC
Dinh Le committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aad2cdce2a2e89f35366c55878129d268cc92bef

tdf#112164 add test document

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-09-07 09:53:47 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=97355ad2ba0dd9908b5ee5c05bc525c68753fe08&h=libreoffice-5-4

tdf#112164 sax: handle errors on last call to XML_Parse()

It will be available in 5.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-09-07 09:55:16 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3604ca211204b9a0971a65c96a5075ba43f15693&h=libreoffice-5-3

tdf#112164 sax: handle errors on last call to XML_Parse()

It will be available in 5.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.